commit e1f0d8620b139a1a5c84972c6121e052e4f3a212
parent 48fccf448e04df2ad5305afe435059bdbb8e7402
Author: Antoine Amarilli <a3nm@a3nm.net>
Date: Wed, 27 Nov 2019 14:49:51 +0100
apt-get => apt
Diffstat:
1 file changed, 5 insertions(+), 5 deletions(-)
diff --git a/debdiffconf b/debdiffconf
@@ -6,14 +6,14 @@
# Returns the exit code of diff if everything worked, 3 or 4 otherwise.
# https://stackoverflow.com/a/4785518
-command -v apt-get >/dev/null 2>&1 || {
- echo "apt-get not found, this is probably not a Debian system. Aborting." >&2;
+command -v apt >/dev/null 2>&1 || {
+ echo "apt not found, this is probably not a Debian system. Aborting." >&2;
exit 4; }
command -v apt-file >/dev/null 2>&1 || {
- echo "Please install apt-file: sudo apt-get install apt-file. Aborting." >&2;
+ echo "Please install apt-file: sudo apt install apt-file. Aborting." >&2;
exit 4; }
command -v realpath >/dev/null 2>&1 || {
- echo "Please install realpath: sudo apt-get install realpath. Aborting." >&2;
+ echo "Please install realpath: sudo apt install realpath. Aborting." >&2;
exit 4; }
FILE=$(realpath -m "$1")
@@ -25,7 +25,7 @@ do
DIR=$(mktemp -d)
cd "$DIR"
echo "Trying $PACKAGE..." >&2
- apt-get download "$PACKAGE" >&2
+ apt download "$PACKAGE" >&2
# downloaded archive is the only file present...
ARCHIVE=$(ls)
mkdir contents